package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Min;

/**
 * @author yrf
 * @description
 * @time 2020/3/23 18:07
 */
public class PageReq extends BaseRequest {

    private static final long serialVersionUID = 6011152528578070581L;

    @ApiModelProperty(name = "pageNo", value = "页码", required = true)
    @Min(1)
    private Integer pageNo = 1;

    @ApiModelProperty(name = "pageSize", value = "每页记录数", required = true)
    @Min(1)
    private Integer pageSize = 10;

    @ApiModelProperty(name = "maxCreateTime", value = "最大时间", required = true)
    private String maxCreateTime;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }
}
